Skip to main content
GET
/
v1
/
issuing
/
cards
List Cards
curl --request GET \
  --url https://api-sandbox.uqpaytech.com/api/v1/issuing/cards \
  --header 'x-auth-token: <api-key>'
{
  "total_pages": 1,
  "total_items": 10,
  "data": [
    {
      "card_id": "c0cef051-29c5-4796-b86a-cd5b684bfad7",
      "card_bin": "40963608",
      "card_scheme": "VISA",
      "card_number": "************5668",
      "form_factor": "VIRTUAL",
      "mode_type": "SHARE",
      "card_limit": 2100.02,
      "available_balance": 2000.05,
      "cardholder": {
        "cardholder_id": "7c4ff2cd-1bf6-4aaa-bf16-266771425011",
        "cardholder_status": "SUCCESS",
        "create_time": "2024-05-09 15:52:23",
        "email": "demo@example.com",
        "first_name": "Emily",
        "last_name": "Toy"
      },
      "card_status": "ACTIVE",
      "card_currency": "USD",
      "card_product_id": "3bd1656b-e691-4aab-a76a-3ead39e7a6f6",
      "metadata": {
        "key1": "value1",
        "key2": "value2"
      },
      "update_reason": "<string>",
      "consumed_amount": "51.00"
    }
  ]
}

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

page_size
integer
default:10
required

The maximum number of items to return per page. This number can be between 10 - 100, and will default to 10

Required range: 10 <= x <= 100
page_number
integer
default:1
required

The page number to retrieve the next set of items. The number has to be greater than 1, and will default to 1

Required range: x >= 1
card_number
string

The full card number.

Example:

"4096360811214526"

card_status
enum<string>

Retrieve items with the specified card status. Matches any card status if unspecified. Card status enum. See the Card lifecycle and statuses guide for more information.

Available options:
PENDING,
ACTIVE,
FROZEN,
BLOCKED,
CANCELLED,
LOST,
STOLEN,
FAILED
Example:

"ACTIVE"

cardholder_id
string<uuid>

The cardholder’s unique identifier.

Example:

"7c4ff2cd-1bf6-4aaa-bf16-266771425011"

Response

OK - Successfully retrieved a list of cardholders.

total_pages
integer

The total pages of available items.

Example:

1

total_items
integer

The total counts of available items.

Example:

10

data
object[]